
# Procedure for modifying the Environment attribute


proc modEnv {server variable value} {
    getAttrs $server attr Environment
    set oldEnv $attr(Environment)
    # append to environment if not found; replace if it is found
    set i [lsearch -regexp $oldEnv ^$variable=]
    set newEnv [expr {$i == -1} ? {[lappend oldEnv "$variable=$value"]} : \
         {[lreplace $oldEnv $i $i "$variable=$value"]}]
    set attr(Environment) $newEnv
    setAttrs $server attr
}

