// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

/**
* 
* Description - SessionBean
*/
package WebSphereSamples.YourCo.Login;

import java.lang.*;
import java.util.*;

public class SessionBean extends java.lang.Object implements java.io.Serializable
{

  /**
  * Instance variable for the empno property
  */
  protected String empno = null;
  /**
  * Instance variable for the firstName property
  */
  protected String firstName = null;
  /**
  * Instance variable for the lastName property
  */
  protected String lastName = null;
  /**
  * Instance variable for the quote property
  */
  protected int quote = 0;
  /**
  * Instance variable for the stock property
  */
  protected int stock  = 0;
  /**
  * Instance variable for the manager property
  */
  protected int manager  = 0;

  /*****************************************************************************
  * Get method for the empno property
  * 
  * @return the value of the property
  */
  public String getEmpno()
  {
    return empno;
  }

  /*****************************************************************************
  * Set method for the empno property
  * 
  * @param value the new value for the property
  */
  public void setEmpno(String value)
  {
    this.empno = value;
  }

  /*****************************************************************************
  * Get method for the firstName property
  * 
  * @return the value of the property
  */
  public String getFirstName()
  {
    return firstName;
  }

  /*****************************************************************************
  * Set method for the firstName property
  * 
  * @param value the new value for the property
  */
  public void setFirstName(String value)
  {
    this.firstName = value;
  }

  /*****************************************************************************
  * Get method for the lastName property
  * 
  * @return the value of the property
  */
  public String getLastName()
  {
    return lastName;
  }

  /*****************************************************************************
  * Set method for the lastName property
  * 
  * @param value the new value for the property
  */
  public void setLastName(String value)
  {
    this.lastName = value;
  }

  /*****************************************************************************
  * Get method for the quote property
  * 
  * @return the value of the property
  */
  public int getQuote()
  {
    return quote;
  }

  /*****************************************************************************
  * Set method for the quote property
  * 
  * @param value the new value for the property
  */
  public void setQuote(int value)
  {
    this.quote = value;
  }

  /*****************************************************************************
  * Get method for the stock property
  * 
  * @return the value of the property
  */
  public int getStock()
  {
    return stock;
  }

  /*****************************************************************************
  * Set method for the stock property
  * 
  * @param value the new value for the property
  */
  public void setStock(int value)
  {
    this.stock = value;
  }

  /*****************************************************************************
  * Get method for the manager property
  * 
  * @return the value of the property
  */
  public int getManager()
  {
    return manager;
  }

  /*****************************************************************************
  * Set method for the manager property
  * 
  * @param value the new value for the property
  */
  public void setManager(int value)
  {
    this.manager = value;
  }

}
