// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.1 src/ejb/java/com/ibm/ejs/doc/account/AccountKey.java, ejbdemo, boss 3/24/99 15:50:37 [5/25/99 15:37:42]
package com.ibm.ejs.doc.account;

/**
 * The key class of the Account entity bean.
 **/

import java.io.*;

public class AccountKey implements Serializable {
    public long accountId;
/**
 * Constructs an AccountKey object.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
    public AccountKey() {
	super();
    }
/**
 * Constructs a newly allocated AccountBMKey object that represents the primitive long argument.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
    public AccountKey(long accountId) { 
	this.accountId = accountId; 
    }

    public long asLong() {
	return accountId;
    }

/**
 * Determines if the AccountKey object passed to the method matches this AccountKey object.
 * @param o java.lang.Object The AccountKey object to compare to this AccountKey object.
 * @return boolean The pass object is either equal to this AccountBMKey object (true) or 
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
    public boolean equals(Object o) {
	if (o instanceof AccountKey) {
	    AccountKey otherKey = (AccountKey) o;
	    return (((accountId == otherKey.accountId)));
	}
	else {
	    return false;
	}
    }
/**
 * Generates a hash code for this AccountKey object.
 * @return int The hash code.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
    public int hashCode() {
	return ((new Long(accountId).hashCode()));
    }
}

