// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.1 src/ejb/java/com/ibm/ejs/doc/account/InsufficientFundsException.java, ejbdemo, boss 3/24/99 15:51:21 [5/25/99 15:37:52]
package com.ibm.ejs.doc.account;

/**
 * Thrown when an attempt is made to deductan amount that is greater than an account balance.
 */
public class InsufficientFundsException extends Exception {
/**
 * Constructs an InsufficientFundsException with no detail message. 
 */
public InsufficientFundsException() 
{
	super();
}
/**
 * Constructs an InstantiationException with the specified detail message. 
 * @param s java.lang.String The message detail.
 */
public InsufficientFundsException(String s) 
{
	super(s);
}
}
