<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<!-- 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000 -->
<!-- All rights reserved. Licensed Materials Property of IBM -->
<!-- Note to US Government users: Documentation related to restricted rights -->
<!-- Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp. -->
<!--This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed. -->
<HTML>
<HEAD>

<TITLE>YourCo Employee Center: Timeout</TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<META name="GENERATOR" content="IBM WebSphere Page Designer V3.0  for Windows">
<LINK REL=STYLESHEET HREF="/theme/YourCo.css" TYPE="text/css">
</HEAD>

<BODY background="/theme/bg.gif">

<jsp:useBean id="timeoutBean" type="WebSphereSamples.YourCo.Timeout.TimeoutBean" scope="request" />

<h2>Time Out - Leave Days</h2>
<p>Your current leave day balances are shown below. </p>
<p>To transfer days from one account to another, enter the days you want to transfer, 
  select the account you are transferring from and to, and click Submit.</p>
<hr noshade size="1">
<form method="post" action="/WebSphereSamples/servlet/WebSphereSamples.YourCo.Timeout.TimeoutServlet">
  <table border="0" width="100%">
    <tr> 
      <td><b>Days to transfer:</b> </td>
      <td>
        <input type="text" name="amount" maxlength="4" size="5" value="0">
      </td>
      <td>&nbsp; </td>
    </tr>
    <tr> 
      <td><b>Transfer from: </b></td>
      <td>
        <select name="fromtype">
          <option>Select account...</option>
          <option value="1">Vacation</option>
          <option value="2">Personal</option>
          <option value="3">Sick</option>
        </select>
      </td>
      <td><b>Transfer to:</b> 
        <select name="totype">
          <option>Select account...</option>
          <option value="1">Vacation</option>
          <option value="2">Personal</option>
          <option value="3">Sick</option>
        </select>
      </td>
    </tr>
    <tr>
      <td>
        <input type="submit" name="submit" value="Submit">
        <input type="reset" name="reset" value="Reset">
      </td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
  </table>
  </form>
<hr noshade size="1">


<h3>Leave Day Balance </h3>
<table border="0" width="75%" cellspacing="2" cellpadding="4">
  <tr bgcolor="#808080"> 
    <th>Vacation Days</th>
    <th>Personal Days</th>
    <th>Sick Days</th>
  </tr>
  <tr align="center" bgcolor="#C0C0C0">
  
<%-- tsx:repeat is an IBM extension to JSP 1.0 --%>
<tsx:repeat index="i">
  <td> <%= timeoutBean.getBalance(i) %> </td>
</tsx:repeat>
  
  </tr>
</table>

<h3>Transaction History</h3>
<table border="0" width="100%">
  <tr bgcolor="#808080"> 
    <th>Transferred from</th>
    <th>Transferred to</th>
    <th>Days</th>
    <th>Date</th>
    <th>Time</th>
    <th>Audit Number</th>
  </tr>
  
<%-- tsx:repeat is an IBM extension to JSP 1.0 --%>
<tsx:repeat index="j">

  <TR BGCOLOR="#C0C0C0">   
     <TD>
       <%= timeoutBean.getTextType(timeoutBean.getFromType(j)) %>
     </TD>
     <TD>
       <%= timeoutBean.getTextType(timeoutBean.getToType(j)) %>
     </TD>
     <TD>
       <%= timeoutBean.getAmount(j) %>
     </TD>
     <TD>
       <%= timeoutBean.getDate(j) %>
     </TD>
     <TD>
       <%= timeoutBean.getTime(j) %>
     </TD>
     <TD>
       <%= timeoutBean.getAuditNumber(j) %>
     </TD>
  </TR>
  
</tsx:repeat>


</table>

<p>&nbsp; </p>
</BODY>
</html>



