/* 
 * @(#)src/contract/jvm/pfm/jniproto_md.h, xn122, xn122, 20010124 1.1.1.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * IBM Java(tm)2 SDK, Standard Edition, v 1.2 
 *
 * (C) Copyright IBM Corp. 1999 All Rights Reserved.
 * ===========================================================================
 */
 
/* 
 * Define JNI prototype macros. This module was created for 
 * defect 91 because of the difficulties getting VisualAge to
 * accept JNIEXPORT in prototypes on Windows NT.
 * This module is simpler for Visual C++ since JNIEXPORT can
 * be the same for prototypes and definitions.
 *
 */

/* 
 * Do _not_ put the usual header file conditional protection here  
 * since this header needs to be included multiple times.
 */

/*
 * For MS VC++ the value of JNIEXPORT need not change
 */
#ifndef JNIEXPORT
#define JNIEXPORT __declspec(dllexport)
#define JNIEXPORT_PROTOTYPE JNIEXPORT
#endif

#ifndef JNIIMPORT
#define JNIIMPORT __declspec(dllimport)
#endif

#ifndef JNICALL
#define JNICALL __stdcall
#endif

/* END OF FILE jniproto_md.h */
