// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.1 src/ejb/java/com/ibm/ejs/doc/transfer/TransferHome.java, ejbdemo, boss 3/24/99 15:58:18 [5/25/99 15:39:28]

package com.ibm.ejs.doc.transfer;

/**
* The home interface of the Transfer session bean.
**/

import javax.ejb.*;
import java.rmi.*;

public interface TransferHome extends EJBHome { 
/**
 * Creates and returns a Transfer EJB object associated with a TransferBean bean instance.
 * @return com.ibm.ejs.doc.transfer.Transfer The Transfer EJB object.
 * @exception javax.ejb.CreateException The Transfer EJB object was not created.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
Transfer create() throws CreateException, RemoteException;
}
