// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.1 com/java/src/com/ibm/ejb/cb/samples/hello/tier2/HelloHome.java, ejbdemo, bb98b, bb98b9836a 8/31/98 17:28:37 [9/15/98 17:31:09]


package com.ibm.ejb.cb.samples.hello.tier2;

import javax.ejb.EJBHome;
import com.ibm.ejb.cb.samples.hello.tier2.Hello;

/**
  Interface used to create new Hello session beans.


  @see com.ibm.ejb.cb.samples.hello.tier2.Hello
*/

public interface HelloHome extends EJBHome {

  /**
    Creates a new Hello session bean.

    @return The newly-created Hello session bean.
    @exception java.rmi.RemoteException Thrown when the request
               fails due to a communications problem.
    @exception javax.ejb.CreateException Thrown when the request
               fails due to a creation problem.
  */
  public Hello create() throws java.rmi.RemoteException,
                               javax.ejb.CreateException;

}
