// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

package WebSphereSamples.Increment;

import WebSphereSamples.Increment.IncrementKey;

/**
 * This is the Enterprise Java Bean Home interface for the Entity Bean 'IncrementBean'.
 * It is used by the container to create and find Entity Beans.
 */
public interface IncrementHome extends javax.ejb.EJBHome 
{ 

/**
 * create method is required by the javax.ejb.EJBHome interface.
 * Each create method in the Enterprise Java Bean must have a corresponding
 * create method in the Home interface.
 */
   public Increment create (IncrementKey primaryKey) throws javax.ejb.CreateException, java.rmi.RemoteException;

/**
 * findByPrimaryKey method is required by the javax.ejb.EJBHome interface.
 */
   public Increment findByPrimaryKey (IncrementKey primaryKey) throws java.rmi.RemoteException, javax.ejb.FinderException;

}
