// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

package WebSphereSamples.YourCo.Timeout;

/**
 * This is an Entity Bean class with CMP fields
 **/
import java.rmi.RemoteException;
import java.security.Identity;
import java.util.Properties;
import javax.ejb.*;
import java.lang.*;

public class AuditBean implements javax.ejb.EntityBean { 
	private javax.ejb.EntityContext entityContext = null;
	public String primaryKey;

	public int auditNumber;
/**
* ejbActivate method comment.
*/
public void ejbActivate() throws java.rmi.RemoteException {
}
/**
 * ejbCreate method comment for a CMP entity bean
 *
 */
public void ejbCreate(AuditKey key)  {

	//  All CMP  fields should be intialized here.
  primaryKey = key.primaryKey;
}
/**
 * ejbLoad method comment.
 */
public void ejbLoad () throws java.rmi.RemoteException {
}
/**
 * ejbPassivate method comment.
 */
public void ejbPassivate() throws java.rmi.RemoteException {
}
/**
 * ejbPostCreate method for a CMP entity bean
 */
public void ejbPostCreate(AuditKey key) throws java.rmi.RemoteException {
}
/**
 * ejbRemove method comment.
 */
public void ejbRemove() throws java.rmi.RemoteException {
}
/**
 * ejbStore method comment.
 */
public void ejbStore () throws java.rmi.RemoteException {
}
/**
 * This method was created in VisualAge.
 * @return int
 */
public int getAuditNumber() {
	return auditNumber;
}
/**
 * This method was created in VisualAge.
 * @return int
 */
public int incrementAuditNumber() {
	return ++auditNumber;
}
/**
 * setEntityContext method comment.
 */
public void setEntityContext(javax.ejb.EntityContext ctx) throws java.rmi.RemoteException {
	entityContext = ctx;
}
/**
 * unsetEntityContext method comment.
 */
public void unsetEntityContext() throws java.rmi.RemoteException {
	entityContext = null;
}
}
