// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

package WebSphereSamples.YourCo.Timeout;

/**
* JavaDoc comment for this bean
*/

public class TimeoutBean extends java.lang.Object implements java.io.Serializable
{

    /**
    * Instance variable for the balance property
    */
    protected int[] balance = new int[3];
    protected java.util.Vector fromType = new java.util.Vector();
    protected java.util.Vector toType = new java.util.Vector();
    protected java.util.Vector amount = new java.util.Vector();
    protected java.util.Vector date = new java.util.Vector();
    protected java.util.Vector time = new java.util.Vector();
    protected java.util.Vector auditNumber = new java.util.Vector();

    /*****************************************************************************
    * Set method for the balance property
    * 
    * @param value the new value for the property
    */
    public void setBalance(int index, int i)
    {
        balance[index] = i;
    }

    /*****************************************************************************
    * Get method for the balance property
    * 
    * @return the value of the property
    */
    public int getBalance(int index)
    {
        return balance[index];
    }

    /*****************************************************************************
    * Set method for the fromType property
    * 
    * @param value the new value for the property
    */
    public void setFromType(int index, int i)
    {
        Integer intObject = new Integer(i);
        fromType.insertElementAt(intObject, index);
    }

    /*****************************************************************************
    * Get method for the fromType property
    * 
    * @return the value of the property
    */
    public int getFromType(int index)
    {   
        Integer intObject = (Integer)fromType.elementAt(index);   
        return intObject.intValue();
    }
    
    /*****************************************************************************
    * Set method for the toType property
    * 
    * @param value the new value for the property
    */
    public void setToType(int index, int i)
    {
        Integer intObject = new Integer(i);
        toType.insertElementAt(intObject, index);
    }

    /*****************************************************************************
    * Get method for the toType property
    * 
    * @return the value of the property
    */
    public int getToType(int index)
    {
        Integer intObject = (Integer)toType.elementAt(index);   
        return intObject.intValue();
    }  
    
    /*****************************************************************************
    * Set method for the amount property
    * 
    * @param value the new value for the property
    */
    public void setAmount(int index, String s)
    {
        
        amount.insertElementAt(s, index);
    }

    /*****************************************************************************
    * Get method for the amount property
    * 
    * @return the value of the property
    */
    public String getAmount(int index)
    {
        return (String)amount.elementAt(index);
    }    

    /*****************************************************************************
    * Set method for the date property
    * 
    * @param value the new value for the property
    */
    public void setDate(int index, String s)
    {
        
        date.insertElementAt(s, index);
    }

    /*****************************************************************************
    * Get method for the date property
    * 
    * @return the value of the property
    */
    public String getDate(int index)
    {
        return (String)date.elementAt(index);
    }    

    /*****************************************************************************
    * Set method for the time property
    * 
    * @param value the new value for the property
    */
    public void setTime(int index, String s)
    {
        
        time.insertElementAt(s, index);
    }

    /*****************************************************************************
    * Get method for the time property
    * 
    * @return the value of the property
    */
    public String getTime(int index)
    {
        return (String)time.elementAt(index);
    }    

    /*****************************************************************************
    * Set method for the auditNumber property
    * 
    * @param value the new value for the property
    */
    public void setAuditNumber(int index, String s)
    {
        
        auditNumber.insertElementAt(s, index);
    }

    /*****************************************************************************
    * Get method for the auditNumber property
    * 
    * @return the value of the property
    */
    public String getAuditNumber(int index)
    {
        return (String)auditNumber.elementAt(index);
    }    

  // this is a utility for converting an int leave type to a String (such as 1 to "Vacation")
  public String getTextType(int typeInt)
  {
    String textType = null;

    switch( typeInt )
    {
      case 1:
        textType = "Vacation";
        break;
      case 2:
        textType = "Personal";
        break;
      case 3:
        textType = "Sick";
        break;
      default:
        textType = "Error: Leave type unknown";
        break;
    }
    return textType;
  }

}
