@rem +--------------------------+
@rem | Run TransferAppplication |
@rem +--------------------------+
@echo off
setlocal

@rem +-------------------------------------------------------------+
@rem | Call setupCmdLine, which sets WAS_HOME and JAVA_HOME.       |
@rem | This assumes you installed Java along with the App Server,  |
@rem | so that all JDK binaries, etc, will be under App Server     |
@rem | directories.                                                |
@rem +-------------------------------------------------------------+
call ..\..\..\..\bin\setupCmdLine.bat

@rem +----------------------+
@rem | Setup the classpath. |
@rem +----------------------+
set WAS_CP=%WAS_HOME%\lib\ujc.jar

@rem +----------------------------------------------------------------------+
@rem | JDK assumed installed with App Server, under App Server directories. |
@rem | Pre-pend system PATH so that binaries for this JDK will be used.     |
@rem +----------------------------------------------------------------------+
set PATH=%JAVA_HOME%\bin;%PATH%

@rem +--------------------------------------------------------------------------------+
@rem | Relevant enterprise beans must be deployed, and copies of resulting jar files  |
@rem | must be on the local machine, even if the actual App Server machine is remote. |
@rem +--------------------------------------------------------------------------------+
set JARS_NEEDED=%WAS_HOME%\deployedEJBs\DeployedAccount.jar;%WAS_HOME%\deployedEJBs\DeployedTransfer.jar

@rem +-------------------------------+
@rem | Finally, run the application. |
@rem +-------------------------------+
java -classpath .;%WAS_CP%;%JARS_NEEDED% WebSphereSamples.AccountAndTransfer.TransferApplication 
endlocal
