<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>   
   <HEAD>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html"> 
	<TITLE>
        Driver and Datasource Information
        </TITLE>
   </HEAD>
<BODY bgcolor="#FFFFFF" text="#000000" topmargin="6"leftmargin="6" marginheight="6" marginwidth="6">
<FORM ACTION="datasource.jsp" METHOD="POST" 
ENCTYPE="application/x-www-form-urlencoded"> <P>

<jsp:directive.page language="java" import="java.util.*" />
<jsp:useBean id="admin" class="com.ibm.servlet.config.WasWebAdmin" scope="session"/> 
<% 
   String initResult = admin.initialize();
   if (initResult == null) {
     initResult = "previously initialized.";
   }
   com.ibm.ejs.sm.client.ui.NLS myNLS = new com.ibm.ejs.sm.client.ui.NLS("webadmin");
   String message = myNLS.getString("webadmin.taskComplete.message","Ready");
   String messagetype = "0";
   boolean messageIsDefault = true;
   String processResult = null;	     
   
   java.util.Date now = new java.util.Date();
   
   String datasourceName     = new String(""); 
   String databaseName       = new String(""); 
   String jdbcDriverName     = new String(""); 
   String minimumPool        = new String("");
   String maximumPool        = new String("");
   String connectionTimeout  = new String("");
   String idleTimeout        = new String("");
   String orphanTimeout      = new String("");
   String oldDatasourceName  = new String("");
   
   String newName            = new String("");
   String destinationTagName = new String("");
   String destinationName    = new String("");
   
   String globalPropertiesChanged = new String("");
   
   String inLineHelpText = "na";
   
   boolean Duplicate        = false;
   boolean datasourceLookup = true;
   boolean newDatasource    = false;
   boolean createFail       = false;
   Hashtable props = new Hashtable();
   
%> 
<%

//Check request method...
if(request.getMethod().equals("POST"))
{
   //Check to see if this is an update...
   if(request.getParameter("Update").equals(myNLS.getString("webadmin.common.button.submitmodifications", "Submit Modifications")))
   {
      //It is an update, get the needed fields...
      datasourceName       = request.getParameter("data-source").replace ('+', ' ');
      databaseName         = request.getParameter("database-name");
      jdbcDriverName       = request.getParameter("jdbc-driver-name").replace ('+', ' ');
      minimumPool          = request.getParameter("minimum-pool-size");
      maximumPool          = request.getParameter("maximum-pool-size");
      connectionTimeout    = request.getParameter("connection-timeout");
      idleTimeout          = request.getParameter("idle-timeout");
      orphanTimeout        = request.getParameter("orphan-timeout");
      oldDatasourceName    = request.getParameter("old-datasource-name");
      
      //Generate a parameter hashtable to update the datasource properties...
      props.put("name", datasourceName);
      props.put("database-name", databaseName);
      props.put("jdbc-driver-name", jdbcDriverName);
      props.put("minimum-pool-size", minimumPool);
      props.put("maximum-pool-size", maximumPool);
      props.put("connection-timeout", connectionTimeout);
      props.put("idle-timeout", idleTimeout);
      props.put("orphan-timeout", orphanTimeout);
      props.put("destinationTagName", "websphere-sa-config");
      
      if((oldDatasourceName != null) && (request.getParameter("Duplicate") != null))
      {
         props.put("old-datasource-name", oldDatasourceName);
      }
      if (request.getParameter("Duplicate") == null && (request.getParameter("NewCreate") == null))
      {
         props.put("Submit", "Submit");
      }
      else
      {
         props.put("Submit", "create");  
         globalPropertiesChanged = "<param name=\"globalPropertiesChanged\" value = \"true\">"; 
      }
      props.put("editname", datasourceName);
      
      
   }
   //Check to see if the datasource should be deleted...
   else if (request.getParameter("Update").equals(myNLS.getString("webadmin.common.button.createlike", "Create Like...")))
   {
      //It is an update, get the needed fields...
      datasourceName    = request.getParameter("data-source").replace ('+', ' ');
      databaseName      = request.getParameter("database-name");
      jdbcDriverName    = request.getParameter("jdbc-driver-name").replace ('+', ' ');
      minimumPool       = request.getParameter("minimum-pool-size");
      maximumPool       = request.getParameter("maximum-pool-size");
      connectionTimeout = request.getParameter("connection-timeout");
      idleTimeout       = request.getParameter("idle-timeout");
      orphanTimeout     = request.getParameter("orphan-timeout");
      
      props.put("name", datasourceName);
      props.put("database-name", databaseName);
      props.put("jdbc-driver-name", jdbcDriverName);
      props.put("minimum-pool-size", minimumPool);
      props.put("maximum-pool-size", maximumPool);
      props.put("connection-timeout", connectionTimeout);
      props.put("idle-timeout", idleTimeout);
      props.put("orphan-timeout", orphanTimeout);
      Duplicate = true;
      
   }
   else if(request.getParameter("Update").equals(myNLS.getString("webadmin.common.button.delete", "Delete")))
   {
      datasourceName    = request.getParameter("data-source").replace ('+', ' ');
      databaseName      = request.getParameter("database-name");
      jdbcDriverName    = request.getParameter("jdbc-driver-name").replace ('+', ' ');
      minimumPool       = request.getParameter("minimum-pool-size");
      maximumPool       = request.getParameter("maximum-pool-size");
      connectionTimeout = request.getParameter("connection-timeout");
      idleTimeout       = request.getParameter("idle-timeout");
      orphanTimeout     = request.getParameter("orphan-timeout");

      //Generate a parameter hashtable to update the driver properties...
      props.put("name", datasourceName);
      props.put("database-name", databaseName);
      props.put("jdbc-driver-name", jdbcDriverName);
      props.put("minimum-pool-size", minimumPool);
      props.put("maximum-pool-size", maximumPool);
      props.put("connection-timeout", connectionTimeout);
      props.put("idle-timeout", idleTimeout);
      props.put("orphan-timeout", orphanTimeout);
      props.put("Submit", "delete");
      props.put("editname", datasourceName);
    }
    
    
    if(!Duplicate)
    {
       processResult = admin.processDatasource(props);
    }
    
    //Some result returned...
    if (processResult != null) 
    {
        message = processResult;
        messagetype = "3";
        messageIsDefault = false;
        if(datasourceName.equals(""))
        {
           datasourceLookup = false;
           createFail       = true;
           newDatasource    = true;
           globalPropertiesChanged = "";
           %>
           <INPUT TYPE="HIDDEN" NAME="newName" VALUE="<%=datasourceName%>">
           <INPUT TYPE="HIDDEN" NAME="destinationTagName" VALUE="<%=destinationTagName%>">
           <INPUT TYPE="HIDDEN" NAME="destinationName" VALUE="<%=destinationName%>">
           <INPUT TYPE="HIDDEN" NAME="NewCreate" VALUE="true">
           <%
        }
    } 
    //Null result, no error occurred...
    else 
    {
       //Get datasource action to determine process result...
       String currentAction;
       if(!Duplicate)
       {
         currentAction = admin.getDataSourceAction(datasourceName);
       }
       else
       {
         currentAction = "duplicate";
       }
       //If the driver's action field is set to delete, output appropriate message...
       if (currentAction.startsWith("delete")) 
       {
          message = myNLS.getString("webadmin.datasource.deletesuccessful","This datasource is now marked for delete during the next commit.");
          messageIsDefault = false;
          messagetype = "1";
       } 
       else 
       {
          //If the driver's action field is set to update, output appropriate message...
          if (currentAction.startsWith("update")) 
          {
              message = myNLS.getString("webadmin.datasource.updatesuccessful","Updates for this datasource will become effective during the next commit.");              
              messagetype = "1";
              messageIsDefault = false;
          }
          if (currentAction.startsWith("duplicate")) 
          {
              message = myNLS.getString("webadmin.datasource.duplicate","Change the data source name and press 'Submit Modifications' to create a copy of this datasource.  Duplicates for this datasource will become effective during the next commit.");              
              messagetype = "1";
              messageIsDefault = false;
          }

       }
    }                    
}
//It was a basic GET, so get the info relating to the requested JDBC driver... 
else
{
   if(!(request.getParameter("datasource") == null))
   {
      //Get the driver name from input....
      datasourceName = request.getParameter("datasource");
   
      //remove encoding...
      datasourceName.replace('+', ' ');

      //Get properties...
      props = admin.getDataSourceProperties(datasourceName);
   }
   else   
   {
      newName = datasourceName = request.getParameter("newName");
      destinationTagName       = request.getParameter("destinationTagName");
      destinationName          = request.getParameter("destinationName");
      
      //Generate a parameter hashtable to display blank fields...
      props.put("name", "");
      props.put("database-name", "");
      props.put("jdbc-driver-name", "");
      props.put("minimum-pool-size", "1");
      props.put("maximum-pool-size", "30");
      props.put("connection-timeout", "300");
      props.put("idle-timeout", "1800");
      props.put("orphan-timeout", "1800");
      datasourceLookup = false;
      newDatasource    = true;

      %>
      <INPUT TYPE="HIDDEN" NAME="newName" VALUE="<%=datasourceName%>">
      <INPUT TYPE="HIDDEN" NAME="destinationTagName" VALUE="<%=destinationTagName%>">
      <INPUT TYPE="HIDDEN" NAME="destinationName" VALUE="<%=destinationName%>">
      <INPUT TYPE="HIDDEN" NAME="NewCreate" VALUE="true">
      <%
   }
}
//Generate the help text information...
String currentAction;
if((request.getParameter("Duplicate") == null) && datasourceLookup)
{
   currentAction = admin.getDataSourceAction(datasourceName);
}
else
{
   currentAction = "create";
}
//First, are we deleting it?
if (currentAction.startsWith("delete")) 
{
   if (currentAction.equals("delete")) 
   {
      inLineHelpText = myNLS.getString("webadmin.datasource.inlinehelptext.delete","Previously in this session, you marked this JDBC driver for deletion.  If you update the properties of this datasource, and click 'Submit Modifications', the delete will be cancelled to preserve your updates.");
      
      if (messageIsDefault == true) 
      {
         message = myNLS.getString("webadmin.datasource.review.delete.successful","This datasource has been marked for delete during the next commit.");
         messageIsDefault = false;
         messagetype = "1";
      }
   } 
                      
   else 
   { /* There was a resource name after the "delete", meaning recursive delete.*/
      String resourceName[] = { (currentAction.substring(currentAction.indexOf(" ")+1)) };
      
      inLineHelpText = myNLS.getFormattedMessage("webadmin.datasource.inlinehelptext.delete.recursive",resourceName,"Previously in this session, you marked resource {0} for deletion.  This server is contained inside of that resource, so any updates and newly created datasource here will be lost during the next commit unless the delete for {0} is cancelled.");
      
      if (messageIsDefault == true) 
      {
         message = myNLS.getFormattedMessage("webadmin.datasource.review.delete.recursive.successful",resourceName,"This datasource has will be deleted during the next commit because it is contained in {0} which has been marked for deletion.");
         messageIsDefault = false;
         messagetype = "1";
      }
   }
         
} 
//Nope, no delete, check the other possibilities...
else
{
   //Are we creating it?  This section should never execute, there is a special create datasource.jsp...
   if ((currentAction.startsWith("create") && !Duplicate))
   {
      if(newDatasource)
      {
         inLineHelpText = myNLS.getString("webadmin.datasource.inlinehelptext.createnew","Use this form to create a new datasource.  Press 'Submit Modifications' once all the form fields have been filled out.");
         if (messageIsDefault == true) 
         {
            message = myNLS.getString("webadmin.datasource.review.createnew.prompt","A datasouce will be created with the data from this form, and will not exist in the repository until the next commit.");
            messagetype="1";
            messageIsDefault = false;
         }
      }
      else
      {
         //Yes, set appropriate message...
         inLineHelpText = myNLS.getString("webadmin.datasource.inlinehelptext.create","Previously in this session, you created this datasource.  It is not yet committed to the repository.  Use this form to update its properties or delete it.");
         if (messageIsDefault == true) 
         {
            message = myNLS.getString("webadmin.datasource.review.create.successful","This datasource was created earlier in this session, and will not exist in the repository until the next commit.");
            messagetype="1";
            messageIsDefault = false;
         }
      }
   } 
   else 
   {                                     
      //Are we updating the driver...?
      if (currentAction.startsWith("update")) 
      {
         //Yes, set appropriate message...
         inLineHelpText = myNLS.getString("webadmin.datasource.inlinehelptext.update","Previously in this session, you made updates to this datasource.  Use this form to review and change those updates or delete this datasource.");
         if (messageIsDefault == true) 
         {
            message = myNLS.getString("webadmin.datasource.review.update.successful","Updates for this datasource were defined earlier in this session and will become effective during the next commit.");
            messagetype = "1";
            messageIsDefault = false;
         }
      } 
      //anything else, return this result...
      else 
      {
         inLineHelpText = myNLS.getString("webadmin.datasource.inlinehelptext.default","The following properties have been assigned to this datasource.  The properties may belong to the actual Administrative System Repository or they may have been altered within this Temporary Workspace."); 
      } 
   } 
}
%>
<BLOCKQUOTE>
<%=inLineHelpText%>
<BR><BR>
<table border="0" cellpadding="3" cellspacing="0" width="80%"bgcolor="#BBBBBB">
   <tr>
      <td>
         <table border="0" cellpadding="0" cellspacing="0" Width="100%"> 
	    <tr> 
	       <td colspan="7" bgcolor="#999999">
                  <font color="#FFFFFF">
                  <strong>
		  <%
                        if(newDatasource)
                        {
                           %>
                              <%=myNLS.getString("webadmin.datasource.nametitlenew", "New Datasource")%>
                           <%
                        }
                        else
                        {
			   %>
			      <%=myNLS.getString ("webadmin.datasoure.nametitle", "DataSource")%>
			   <%
                        }
                           %>
                           <%=myNLS.getString("webadmin.datasource.banner", "Properties")%>
	          </strong>
                  </font> 
                  </td> 
            </tr>
         </table>
      </td>
   </tr>
   <tr>
      <td>     
         <table cellspacing="0" cellpadding="3" border="0" width="100%"> 
	      	  <tr>
		     <td width="20%" valign="center" bgcolor="#FFFFFF" colspan="2"> 
		        <%
			if (newDatasource || Duplicate || createFail)
			{
			   %>
			   <font size="2" color="red">
                           <%=myNLS.getString("webadmin.datasource.namebannerred", "* Name")%>
                           </font>
			   <%
			}
			else
			{
			   %>
			   <font size="2">
                           <%=myNLS.getString("webadmin.datasource.namebanner", "Name")%>
                           </font>
			   <%
			}
			%>
                   </td> 
                   <td valign="bottom" bgcolor="#FFFFFF"><font size="2">
                   <%
                     if(Duplicate)
                     {
							%>
                        <INPUT TYPE="FIELD" NAME="data-source" SIZE="85%"> </td> 
                        <INPUT TYPE="HIDDEN" NAME="old-datasource-name" VALUE="<%=((String)props.get("name")).replace(' ', '+')%>" </td> 
                        <INPUT TYPE="HIDDEN" NAME="Duplicate" VALUE=""> </td> 
                        <%
                     }
                     else if(newDatasource || createFail)
                     {
                        %>
                        <INPUT TYPE="FIELD" NAME="data-source" valign="left" VALUE="<%=((String)props.get("name")).replace(' ', '+')%>" SIZE="85%"> </td> 
                        <%
                     }
                     else
                     {
                        %>
                        <strong><%=datasourceName%></strong> </font>
                        <INPUT TYPE="HIDDEN" NAME="data-source" VALUE="<%=((String)props.get("name")).replace(' ', '+')%>"> </td>
                        <%
                     }
                   %>
               </tr>
               <tr>
                  <td valign="center" bgcolor="#CCCCCC">
                     <font size="2">
                        <%=myNLS.getString("webadmin.datasource.dbnamebanner", "Database name")%>
                     </font>
                  </td>
                  <td bgcolor="#CCCCCC" colspan="2">
                      <font size="2">
                        <INPUT TYPE="FIELD" NAME="database-name" VALUE="<%=props.get("database-name")%>" SIZE="85%">
                      </font>
                  </td>
               </tr>           
               
               <tr>
                  <td valign="center" bgcolor="#FFFFFF">
						<%
							if (newDatasource)
							{
						%>
                     <font size="2" color="red">
                     <%=myNLS.getString("webadmin.datasource.dbdriverbannerred", "* Database Driver")%>
                     </font>
						<%
							}
							else
							{
						%>
                     <font size="2">
                     <%=myNLS.getString("webadmin.datasource.dbdriverbanner", "Database Driver")%>
                     </font>
						<%
							}
						%>
                  </td>
                  <td bgcolor="#FFFFFF" colspan="2">
                     <font size="2">
                        <SELECT NAME="jdbc-driver-name">
                           <OPTION VALUE=<%=((String)props.get("jdbc-driver-name")).replace(' ', '+')%>><%=props.get("jdbc-driver-name")%>
                           <%
                              int limit = admin.getJDBCDrivers();
                              
                              for(int i=0; i< limit; i++)
                              {
                                 if(!(props.get("jdbc-driver-name").equals(admin.getJDBCDriver(i))))
                                 {
                                    out.println(("<OPTION Value=" + admin.getJDBCDriver(i).replace(' ', '+') + ">" + admin.getJDBCDriver(i)));
                                 }
                              }
                           %>
                        </SELECT>              
                     </font>
                  </td>
               </tr>           
            </table>
        </td>
    </tr>
</table>

<BR><BR>
<table border="0" cellpadding="3" cellspacing="0" width="80%"bgcolor="#BBBBBB">
	<tr>
		<td>
			<table border="0" cellpadding="0" cellspacing="0" Width="100%"> 
                <tr> 
                    <td colspan="7" bgcolor="#999999">
                        <font color="#FFFFFF">
                           <strong><%=myNLS.getString("webadmin.datasource.advancedtitle","Advanced Properties")%></strong>
                        </font>
                    </td>  
                </tr>
			</table>
		</td>	
	</tr>

	<tr>
		<td>
			<table cellspacing="0" cellpadding="3" border="0" width="100%"> 
				<tr>
                   <td width="20%" valign="center" bgcolor="#FFFFFF"><font size="2"> 
                        <%=myNLS.getString("webadmin.datasource.minconpoolsizebanner", "Minimum connection pool size")%>
                   </font>
                   </td> 
                   <td valign="center" bgcolor="#FFFFFF"><font size="2">
                     <INPUT TYPE="FIELD" WIDTH="85%" NAME="minimum-pool-size" VALUE=<%=props.get("minimum-pool-size")%>>
                   </font>
                   </td>
                </tr>
            
                <tr>
                   <td width="20%" valign="center" bgcolor="#CCCCCC"><font size="2"> 
                     <%=myNLS.getString("webadmin.datasource.maxconpoolsizebanner", "Maximum connection pool size")%>
                   </font>
                   </td> 
                   <td valign="center" bgcolor="#CCCCCC"><font size="2">
                     <INPUT TYPE="FIELD" WIDTH="85%" NAME="maximum-pool-size" VALUE=<%=props.get("maximum-pool-size")%>>
                   </font>
                   </td>
                </tr>
                
                <tr>
                   <td width="20%" valign="center" bgcolor="#FFFFFF"><font size="2"> 
                     <%=myNLS.getString("webadmin.datasource.contimeoutbanner", "Connection timeout")%>
                   </font>
                   </td> 
                   <td valign="center" bgcolor="#FFFFFF"><font size="2">
                     <INPUT TYPE="FIELD" WIDTH="85%" NAME="connection-timeout" VALUE=<%=props.get("connection-timeout")%>>
                   </font>
                   </td>
                </tr>
                
                <tr>
                   <td width="20%" valign="center" bgcolor="#CCCCCC"><font size="2"> 
                     <%=myNLS.getString("webadmin.datasource.idletimeoutbanner", "Idle timeout")%>
                   </font>
                   </td> 
                   <td valign="center" bgcolor="#CCCCCC"><font size="2">
                     <INPUT TYPE="FIELD" WIDTH="85%" NAME="idle-timeout" VALUE=<%=props.get("idle-timeout")%>>
                   </font>
                   </td>
                </tr>
                
                <tr>
                   <td width="20%" valign="center" bgcolor="#FFFFFF"><font size="2"> 
                     <%=myNLS.getString("webadmin.datasource.orphantimeoutbanner", "Orphan timeout")%>
                   </font>
                   </td> 
                   <td valign="center" bgcolor="#FFFFFF"><font size="2">
                     <INPUT TYPE="FIELD" WIDTH="85%" NAME="orphan-timeout" VALUE=<%=props.get("orphan-timeout")%>>
                   </font>
                   </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<P>

<INPUT TYPE="HIDDEN" NAME="name" Value=Test  SIZE="-1">
<INPUT TYPE="HIDDEN" NAME="currServer" Value=Test   SIZE="-1">

<table border="0" cellpadding="2" bgcolor="#FFFFFF" cellspacing="0"> 
   <tr>
        <td align="center"><font color="#000000" size="2"> 
<INPUT TYPE="SUBMIT" NAME="Update" VALUE="<%=myNLS.getString("webadmin.common.button.submitmodifications", "Submit Modifications")%>" >
          </font>
        </td>
      <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
    <%if(!Duplicate && !newDatasource) 
    {%>
        <td align="center"><font color="#000000" size="2">
<INPUT TYPE="SUBMIT" NAME="Update" VALUE="<%=myNLS.getString("webadmin.common.button.delete", "Delete")%>" >
        </font>
        </td>
      <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
        <td align="center"><font color="#000000" size="2">
<INPUT TYPE="SUBMIT" NAME="Update" VALUE="<%=myNLS.getString("webadmin.common.button.createlike", "Create Like...")%>" >
        </font>
        </td> 
    <%}%>
   </tr>
</table>

<P>

<table border="0" cellpadding="0" cellspacing="4">
<tr><td><a href="datasource.jsp?<%=request.getQueryString() %>"><img src="images/list/formrefresh.gif" alt="refresh" border="0" width="20" height="20"></a></td>
<td><font color="#999999" size="2"><%=myNLS.getString("webadmin.common.updatebanner","Last updated from Administrative System Repository")%></font> <font color="black" size="2"><B><%=now.toString() %> </B></font></td> 
</tr> 
</table>

<P>
<HR>


<applet code="com.ibm.webexec.herald.HeraldApplet.class" align="baseline" width="1"height="1">
  <param name="archive" value="webexec.jar">
  <param name="frame" value="workarea">
  <param name="team" value="1">
  <param name="taskid" value="/WASSTD/datasource/<%=java.net.URLEncoder.encode((String)props.get("name"))%>"> 
  <%=globalPropertiesChanged%>
<% String result = ""; 

   if (message != null) 
   {
      result = "<param name=\"message\" value=\""+message+"\"><param name=\"severity\" value=\""+messagetype+"\">";
   }
%>
<%=result%>
  <param name="mapFile" value="webadmin.jsp">
</applet>

</BLOCKQUOTE>

</BODY>

</HTML>

